Closed Bug 521405 Opened 10 years ago Closed 9 years ago

Remove alpha and mips Windows NT code from mozilla-central

Categories

(Firefox Build System :: General, defect, trivial)

All
Windows NT
defect
Not set
trivial

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: m_kato, Assigned: m_kato)

Details

(Whiteboard: fixed-in-bs)

Attachments

(1 file, 1 obsolete file)

Attached patch patch (obsolete) — Splinter Review
alpha version and mips version of Windows NT is discontinued by Windows NT 4.0.
Mozilla tree supports Windows 2000 or later, so this code should be removed.  (No longer contributes now.)
Missed to request review?
Assignee: nobody → m_kato
Severity: normal → trivial
Status: NEW → ASSIGNED
Flags: in-testsuite-
Attached patch fixSplinter Review
Attachment #405447 - Attachment is obsolete: true
Attachment #516838 - Flags: review?(ted.mielczarek)
Comment on attachment 516838 [details] [diff] [review]
fix

Thanks for cleaning this up! Feel free to land this on the build-system branch if you'd like.
Attachment #516838 - Flags: review?(ted.mielczarek) → review+
http://hg.mozilla.org/mozilla-central/rev/d75bbcc7da6f
Status: ASSIGNED → RESOLVED
Closed: 9 years ago
Resolution: --- → FIXED
loongson CPU based on mips need firefox.
Why remove mips support?
(In reply to comment #6)
> loongson CPU based on mips need firefox.
> Why remove mips support?

This is *Windows NT* MIPS, not Linux/*BSD.
Product: Core → Firefox Build System
You need to log in before you can comment on or make changes to this bug.